<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html
  xmlns="http://www.w3.org/1999/xhtml"
  xmlns:xi="http://www.w3.org/2001/XInclude"
  xmlns:xc="urn:xhtml-compiler"
  xc:news="yes"
  xml:lang="en">
<head>
  <title>HTML Purifier 3.1.0 released - News - HTML Purifier</title>
  <xi:include href="common-meta.xml" xpointer="xpointer(/*/node())" />
  <meta name="Date" content="Sun, 08 May 2008 14:04:00 EST" />
</head>
<body>

<xi:include href="common-header.xml" xpointer="xpointer(/*/node())" />

<div id="main">
<h1 id="title">HTML Purifier 3.1.0 released</h1>

<div id="content">
  <p>
    HTML Purifier 3.1.0 is the first offical stable release for 3.1 series.
    It improves HTML Purifier's integration with <abbr>PHP</abbr> 5, mainly
    through the new use of autoloading.
    It also includes support for the !important CSS modifier,
    display and visibility CSS properties with %CSS.AllowTricky, marquee with
    %HTML.Proprietary (had you scared for a moment, hmm?), a kses() wrapper,
    %CSS.AllowedProperties, %HTML.ForbiddenAttributes and
    %HTML.ForbiddenElements and a totally revamped ConfigDoc system. Since the
    release candidate, there have also been a number of stability fixes such as
    improved URI escaping, a change in serializer ID format, and a relaxed
    format for %HTML.Allowed. And as always, numerous bugfixes.
  </p>
  <p>
    <strong>Important:</strong> HTML Purifier 3.1.0 also fixes a 
    security vulnerability. Please upgrade your libraries as quickly as
    possible. The vulnerability was discovered internally, and no known
    exploits have been found in the wild.
  </p>
  <p>
    For a detailed migration guide, please see the
    <a xc:absolute="href" href="news/2008/3.1.0-released.html">3.1.0 release page</a>. If
    you had been using the release candidate, you do not need to worry
    about this.
  </p>
</div>
</div>
</body>
</html>